## mycompiler.mystatement
Class Return

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.Return

    public class Return

extends Statement

Constructor Summary
`Return()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_Type()`
`void` `set_ReturnExpr(Expr ret)`
`CTripleSet` `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.22 von Martin Pl�micke Author: J�rg B�uerle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Return

    public Return()

Method Detail

### set_ReturnExpr

    public void set_ReturnExpr(Expr ret)

### get_Type

    public java.lang.String get_Type()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)
                           throws CTypeReconstructionException

  Implementierung des Algorithmus 5.22 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRStatement` in class `Statement`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:
  Throws:
    `CTypeReconstructionException`